import unittest
from urlchecker_db import LogDB


class UrlCheckerDBTestCase(unittest.TestCase):
    def setUp(self):
        self.db = LogDB(":memory:")

    def test_createTable(self):
        assert self.db._db.pragma("user_version") == 0
        self.db.createTables()
        assert self.db._db.pragma("user_version") == 1


def suite():
    suite = unittest.TestSuite()
    suite.addTest(unittest.makeSuite(UrlCheckerDBTestCase))
    return suite


if __name__ == "__main__":
    unittest.main(defaultTest="suite")
